package com.dxhy.manage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.manage.entity.SysDeptEntity;
import com.dxhy.manage.model.BlocNumModel;
import com.dxhy.manage.model.CheckNumModel;
import com.dxhy.manage.model.CollectNumModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门管理
 *
 * @author jiaohongyang
 */
@Mapper
public interface CheckStatDao extends BaseMapper<SysDeptEntity> {
    /**
     * 查询集团下的税号
     *
     * @return
     */
    List<SysDeptEntity> queryCheckTaxno();

    SysDeptEntity getTaxNameByTaxno(String taxno);

    List<CheckNumModel> getCheckCount(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate, @Param("start") int start, @Param("limit") int limit);

    List<CheckNumModel> getCheckCountMonth(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate, @Param("start") int start, @Param("limit") int limit);

    int getCheckCountMonthCount(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

    int getCheckCountYearCount(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

    List<CheckNumModel> getCheckCountByExport(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

    List<CheckNumModel> getCheckCountMonthByExport(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

    int getDayCheckCountCount(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

    List<CheckNumModel> getDayCheckCount(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate, @Param("start") int start, @Param("limit") int limit);

    List<CheckNumModel> getDayCheckCountByExport(@Param("taxno") String taxno, @Param("beginDate") String beginDate,
        @Param("endDate") String endDate);

}
